"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class UIBuildCmd {
    constructor(
    /**
     * access to the extension instance.
     */
    ui) {
        this.ui = ui;
        this.name = 'ui-build [type]';
        this.description = 'Build production assets for deployment.';
        this.alias = 'c';
        this.group = 'component';
        this.shortDescription = '';
        this.options = [];
    }
    report([type]) {
        return __awaiter(this, void 0, void 0, function* () {
            // teambit.bit/variants should be the one to take care of component patterns.
            const stats = yield this.ui.build(type);
            return stats.toString();
        });
    }
}
exports.UIBuildCmd = UIBuildCmd;
//# sourceMappingURL=ui-build.cmd.js.map