"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_hooks_1 = require("@apollo/react-hooks");
const notifications_notification_context_1 = require("@teambit/notifications.notification-context");
const react_1 = require("react");
const global_loader_1 = require("../global-loader");
function useDataQuery(query, options) {
    const res = react_hooks_1.useQuery(query, options);
    const notifications = react_1.useContext(notifications_notification_context_1.NotificationContext);
    const { loading, error } = res;
    global_loader_1.useLoader(loading);
    if (error) {
        notifications.error(apolloErrorToString(error));
    }
    return res;
}
exports.useDataQuery = useDataQuery;
// @TODO - improve error extraction
function apolloErrorToString(error) {
    return error.toString();
}
//# sourceMappingURL=use-data-query.js.map